> For the complete documentation index, see [llms.txt](https://www.aevo.xyz/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://www.aevo.xyz/docs/api-reference/api-key-setup/api-key-setup-via-ui.md).

# Via UI

## Via UI

Aevo App:

* Mainnet: [app.aevo.xyz](https://app.aevo.xyz/)
* Testnet: [testnet.aevo.xyz](https://testnet.aevo.xyz/)

## 1. Add Network To Your Wallet

***

For Aevo Mainnet, you can simply connect to Ethereum Mainnet.

For Aevo Testnet, you need to add the Aevo Testnet Network to your wallet. As you Enable Trading on the website, it prompts Metamask to add the Testnet Network into the wallet.

If you are not using Metamask, you can manually add the network with the below details.

**Aevo Testnet**:

* `ChainID`: 11155111
* `RPC`: <https://l1-aevo-devnet-yl1nvpe4fq.t.conduit.xyz>
* `Block Explorer`: <https://explorerl1-aevo-devnet-yl1nvpe4fq.t.conduit.xyz>

## 2. Enable Trading

***

> 📘 Note!
>
> Make sure that you are connected to the Aevo Testnet Network. You will not be able to enable trading if you are connected to the wrong network.

Go to Aevo App and connect your wallet. The button can be found on the top right-hand corner.

![{688}](https://files.readme.io/a392f46-connect_wallet_new.png)

Connect your wallet using either Metamask, Wallet Connect or Coinbase Wallet.

![{646}](https://files.readme.io/04f431c-wallet_select.png)

Click the `Sign Message` button. Optionally, you can disable `Remember Me` which only generates a temporary session key for trading.

![{720}](https://files.readme.io/dd5f0b5-enable_trading.png)

Sign the message from your wallet. Below is an example of how it looks like on Metamask:

![{714}](https://files.readme.io/4cef4a7-metamask_popup.png)

If you are not able to enable trading, please double check that you are connected to Aevo testnet.

Finally, you will be able to deposit USDC from the network. If you do not have Testnet ETH or USDC, please reach out to the team with your Ethereum address.

![{712}](https://files.readme.io/f9065b7-deposit_popup.png)

## 3. Create an API Key

***

Go to:

* Mainnet: <https://app.aevo.xyz/settings/api-keys>
* Testnet: <https://testnet.aevo.xyz/settings/api-keys>

Click on the API key you want to copy. This will automatically add the secret to your clipboard, ready for you to use. Similarly, you can do the same for your API secret.

![](https://files.readme.io/96a8590-api_key_new.png)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://www.aevo.xyz/docs/api-reference/api-key-setup/api-key-setup-via-ui.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
